Bug 22338 - Make fc-query warn about non-WWS compliant fonts
Summary: Make fc-query warn about non-WWS compliant fonts
Status: RESOLVED MOVED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.6
Hardware: Other All
: medium normal
Assignee: fontconfig-bugs
QA Contact: Keith Packard
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-17 15:04 UTC by Nicolas Mailhot
Modified: 2018-08-20 21:45 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Mailhot 2009-06-17 15:04:59 UTC
(it would be nice if there was a fc-query component in fontconfig BTW)

Since MS' WWS naming model makes stuff simpler for application authors, and will be required in new window code, it would be mighty nice if fc-query warned in its general report if a font file didn't respect this model.

Respecting the WWS model is declaring fields 21 and 22 or 16 in 17 in ways that respect WWS (only weight, width and slant in sytles)

This way we can point FLOSS authors to fc-query as linting tools and promote font naming our apps can handle easily
Comment 1 Behdad Esfahbod 2009-07-21 12:33:52 UTC
I can write a very small pango tool to do that, would it be helpful? The thing is, fontconfig doesn't really know about WWS, whereas pango's entire font model is based on it.  That's why pango has problem using fonts with arbitrary style names while fontconfig has no problem reporting them.
Comment 2 Nicolas Mailhot 2009-07-21 12:50:09 UTC
I don't think anyone would mind if it's pango-level. The basic need is just a font linting tool that anyone can run over a ttf/otf (and probably pcf/type1) font to check what needs to be fixed to make apps happy. Right now WWS seems the lowest-hanging fruit to fix, and easiest to sell to font authors (because of Microsoft and Adobe stance on WWS).
Comment 3 James Cloos 2009-07-21 14:02:10 UTC
> I can write a very small pango tool to do that, would it be helpful?

It would be most useful if that tool is designed to work on a given list
of font files.  (Checking all of the fonts of which fontconfig is aware
is then reduced to:

  fc-list -f '%{file}\n' | tr \\n \\0 | xargs -0 $LINT

where $LINT is the name of the new tool.)
Comment 4 Akira TAGOH 2012-04-26 01:29:15 UTC
Is there anything we can do in fontconfig then? it sounds like NOTOURBUG to me.
Comment 5 GitLab Migration User 2018-08-20 21:45:33 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/36.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.